classification
Title: plistlib.__all__ list is incomplete
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Unit03, martin.panter, python-dev, ronaldoussoren
Priority: normal Keywords: patch

Created on 2016-05-24 20:32 by Unit03, last changed 2016-06-06 02:55 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
plistlib_all.patch Unit03, 2016-05-24 20:32 review
Messages (3)
msg266269 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-24 20:32
That's a child issue of #23883, created to propose a patch fixing plistlib module's __all__ list.
msg266580 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-29 00:12
I think this patch is okay
msg267507 - (view) Author: Roundup Robot (python-dev) Date: 2016-06-06 02:30
New changeset 450171f53e81 by Martin Panter in branch 'default':
Issue #27109: Add InvalidFileException to __all__, by Jacek Kołodziej
https://hg.python.org/cpython/rev/450171f53e81
History
Date User Action Args
2016-06-06 02:55:36martin.pantersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-06-06 02:30:53python-devsetnosy: + python-dev
messages: + msg267507
2016-05-29 00:12:19martin.pantersetnosy: + martin.panter
messages: + msg266580
2016-05-25 13:16:53martin.panterlinkissue23883 dependencies
2016-05-25 11:19:49martin.pantersetstage: patch review
2016-05-25 04:01:08serhiy.storchakasetnosy: + ronaldoussoren
2016-05-24 20:32:52Unit03create